> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Task

> Defines a task in Clasp. Tasks are usually created automatically based on events that occur (e.g., QLE, new hire, etc).



## OpenAPI

````yaml post /tasks
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /tasks:
    post:
      tags:
        - tasks
      description: >-
        Defines a task in Clasp. Tasks are usually created automatically based
        on events that occur (e.g., QLE, new hire, etc).
      operationId: tasks_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Task'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/Task'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/Task'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Task'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    Task:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        category:
          $ref: '#/components/schemas/TaskCategoryEnum'
        memo:
          type: string
          nullable: true
        employer:
          type: string
          readOnly: true
        assignee:
          type: string
          readOnly: true
        completed_at:
          type: string
          format: date-time
          nullable: true
        started_at:
          type: string
          format: date-time
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - assignee
        - category
        - created_at
        - employer
        - id
    TaskCategoryEnum:
      enum:
        - member_update
        - dependent_update
        - enrollment_update
      type: string
      description: |-
        * `member_update` - Member Update
        * `dependent_update` - Dependent Update
        * `enrollment_update` - Enrollment Update
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````